%define name perl-NKF
%define version 1.71
%define ver 171
%define release 7mdk

Summary: Perl extension for Network Kanji Filter
Summary(ja): Perlĥ⥸塼NKF
Name: %name
Version: %version
Release: %release
License: BSD-like
Group: System/Internationalization
Source0: ftp://ftp.ie.u-ryukyu.ac.jp/pub/software/kono/nkf%{ver}.shar
Patch0: %{name}-%{version}-gcc3.3.patch.bz2
BuildRequires: perl-devel sharutils
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) %{version}
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%description -l ja
ϡPerl  nkf Ȥĥ⥸塼Ǥ

Ȥϡ
	use NKF;
	$output = nkf($flag,$input);

Τ褦˻Ȥޤflag ϡnkf ƱǤ

%prep
%setup -T -c
cp %{SOURCE0} .
sh nkf171.shar
%patch0 -p1

%build

cd NKF
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

cd ../
make

./nkf -e -O nkf.1j
mv nkf.out nkf.1j

%install
rm -rf $RPM_BUILD_ROOT
install -s -m 755 nkf -D $RPM_BUILD_ROOT/%{_bindir}/nkf
install -m 644 nkf.1 -D $RPM_BUILD_ROOT/%{_mandir}/man1/nkf.1
install -m 644 nkf.1j -D $RPM_BUILD_ROOT/%{_mandir}/ja/man1/nkf.1

cd NKF
%makeinstall_std
rm -rf $RPM_BUILD_ROOT%_bindir/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/*
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.71-7mdk
- rebuild for new perl

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.71-6mdk
- rebuild for new perl
- cleaned up
- fix gcc-3.3 build (PO)
- don't use PREFIX
- use %%makeinstall_std macro
- don't gzip man pages
- fix paths to man pages and perl

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.71-5mdk
- rebuild for new auto{prov,req}

* Wed Feb 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.71-4mdk
- fix requires

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 1.71-3mdk
- rebuild

* Wed Dec 05 2001 Stefan van der Eijk <stefan@eijk.nu> 1.71-2mdk
- %%{_libdir}/perl5/site_perl/*/*-linux/auto -->
  %%{perl_sitearch}/auto/*
- BuildRequires: perl-devel sharutils

* Fri Sep 14 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.71-1mdk
- first mandrake release

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
